INDEX.JS(1)

NAME
index.js - A simple bundler for your delicious modules

DESCRIPTION

    Usage

    $ bundt [entry] [options]

    Config

    If no [entry] was provided, then src/index.js is used.

    Configuration lives within your package.json file as these keys:

    ??? "main" ??? the output path for your CommonJS file (default: dist/browserify-lite.js) ??? "module" ??? the output path for your ES Module file not built if undefined ??? "unpkg" or "umd:main" ??? the output path for your UMD file not built if undefined ??? "browser" ??? the output path for your browser-specific entrypoint not built if undefined ??? "umd:name" ??? the name of your UMD factory (default: "browserify-lite") ??? "modes" ??? a mapping of custom mode names to their entries ??? "terser" ??? a config object to customize Terser behavior

    You may use a .terserrc file to store configuration instead of the "terser" key.

    Options

    All files are built unless 1+ limits are defined

--main
    Builds the "main" file

--unpkg
    Builds the "unpkg" or "umd:main" file

--module
    Builds the "module" file

--browser
    Builds the "browser" file

--minify
    Minify all file formats

--help, -h
    Displays this message

    Examples

    $ bundt
    $ bundt lib/index.js
    $ bundt src/browser.js --browser --unpkg